> For the complete documentation index, see [llms.txt](https://developers.mobile-text-alerts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.mobile-text-alerts.com/tutorials/message-sending/send-an-imessage/sms-fallback.md).

# SMS Fallback

Learn how the SMS fallback is handled for failed iMessage send requests

The iMessage route supports graceful fallback for several failure scenarios.

**Possible reasons an outbound iMessage send may fail:**

* The subscriber is not capable of receiving iMessages
* The subscriber has not opted-in via inbound message to the selected Sender Identity
* The Sender Identity has been disabled, blocked, or banned
* Our iMessage route is temporarily unavailable

If any of these failures occur, Mobile Text Alerts will fall back to SMS to deliver your message. This helps ensure your subscriber receives your message, even if there's an issue delivering via iMessage.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.mobile-text-alerts.com/tutorials/message-sending/send-an-imessage/sms-fallback.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
